QGIS Application - Bug report #20082
Split Tool "Bursts" linestring when used on complex linestring
2018-10-11 09:57 PM - Simon Dellis

Status: Open

Priority: High

Assignee:

Category: Digitising

Affected QGIS version:3.4.1 Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corruptsdata: Copied to github as #: 27904
Description

When using the Split tool on a complex linestring (lots of nodes) the linestring "bursts" into many segments. Attached is a sample shapefile
that causes the issue and the result after using the split to once.

Simple line strings are not a problem.

Reproduced the problem on versions from 2.18.13 to 3.2.3 on Windows 10 Pro and Enterprise. The same file in Arc splits as expected.

Using the "Split with Lines" tool generates similar problems.

History

#1 - 2018-10-11 11:28 PM - Saber Razmjooei

- Operating System deleted (Windows 10 Enterprise 64Bit)
- Category changed from Vectors to Digitising

- Affected QGIS version changed from 3.2.3 to 3.3(master)

#2 - 2018-10-12 11:04 AM - Giovanni Manghi
- Priority changed from Normal to High

#3 - 2018-11-08 01:31 PM - Giovanni Manghi
- Status changed from Open to Feedback

Please try on QGIS 3.4.1, if the issue is still valid change the affected version, thanks.

#4 - 2018-11-08 09:13 PM - Simon Dellis

No change in 3.4.1, bug persists.

#5 - 2018-11-08 09:40 PM - Giovanni Manghi

- Affected QGIS version changed from 3.3(master) to 3.4.1
- Status changed from Feedback to Open

Files
test.zip 429 KB 2018-10-11 Simon Dellis
test-split.zip 455 KB 2018-10-11 Simon Dellis
